/*
 * Column.java		Date created: 11.03.2008
 * Last modified by: $Author$
 * $Revision$	$Date$
 */

package org.richfaces.sandbox.samples;

import org.richfaces.model.Ordering;

/**
 * TODO Class description goes here.
 * @author "Andrey Markavtsov"
 *
 */
public class Column {
    
    private String header;
    
    private String footer;
    
    private Ordering ordering;

    /**
     * TODO Description goes here.
     * @param header
     * @param footer
     * @param ordering
     */
    public Column(String header, String footer, Ordering ordering) {
	super();
	this.header = header;
	this.footer = footer;
	this.ordering = ordering;
    }

    /**
     * @return the header
     */
    public String getHeader() {
        return header;
    }

    /**
     * @param header the header to set
     */
    public void setHeader(String header) {
        this.header = header;
    }

    /**
     * @return the footer
     */
    public String getFooter() {
        return footer;
    }

    /**
     * @param footer the footer to set
     */
    public void setFooter(String footer) {
        this.footer = footer;
    }

    /**
     * @return the ordering
     */
    public Ordering getOrdering() {
        return ordering;
    }

    /**
     * @param ordering the ordering to set
     */
    public void setOrdering(Ordering ordering) {
        this.ordering = ordering;
    }
    
    

}
